# setArgsString

open fun setArgsString(args: String): JavaExec

Parses an argument list from `args` and passes it to setArgs.

The parser supports both single quote (`'`) and double quote (`"`) as quote delimiters. For example, to pass the argument `foo bar`, use `"foo bar"`.

Note: the parser does not support using backslash to escape quotes. If this is needed, use the other quote delimiter around it. For example, to pass the argument `'singly quoted'`, use `"'singly quoted'"`.

#### Return

this

#### Since

4.9

#### Parameters

args

Args for the main class. Will be parsed into an argument list.